Bug 117390 - The ccm upgrade command does not run the initializers prior to running the Java upgrade
Summary: The ccm upgrade command does not run the initializers prior to running the Ja...
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Web Application Framework
Classification: Retired
Component: installation (Show other bugs)
(Show other bugs)
Version: nightly
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: ccm-bugs-list
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-03-03 15:32 UTC by Daniel Berrange
Modified: 2007-04-18 17:03 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-02 17:35:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Daniel Berrange 2004-03-03 15:32:46 UTC
Description of problem:
The ccm load command ensures that all dependant Initializers have been
run prior to invoking the 'run(ScriptContext)' method on the loader.
This is not done when running the 'ccm upgrade' command, which means
any attempt to use system services, in particular, persistence fail.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. Run a Java upgrade scripts

Actual results:
No initializers are run & errors are thrown when trying to use
persistence.

Expected results:
All initializers are run.

Additional info:

Comment 1 Justin Ross 2004-03-03 18:46:05 UTC
The current pattern is to invoke the main method of some named Java
code, and I left the burden with that code to do a "new Startup().run()".

This allows upgrades to be run via ccm-run just as they are from ccm
upgrade.  That is, you can use ccm upgrade -f 6.0 -t 6.1 or you can

  $ ccm-run com.arsdigita.cms.RickshawPublishAPIUpgrade

if you prefer.  Some upgrades may not need initialization.

I can definitely changing this, but if we did I'd want to introduce an
interface and define a richer contract for Java upgrades viz CCM.

Comment 2 Daniel Berrange 2006-09-02 17:35:18 UTC
Closing old tickets



Note You need to log in before you can comment on or make changes to this bug.